// Rsolution de systme du type A.X=B
// par la mthode itrative de JACOBI

function [Xkplus1] = resolveJacobi(A,b,n)

for i=1:n
  X0(i,1)=0;
end
    
Xk=X0;
iter=0;
max_it=500;
tol = 2.22D-16;

// Conditionnement des matrices D, L et U

timeCPU = timer();

for i=1:n
         for j=1:n
                   I(i,i)=1;
                   D(i,i)=A(i,i);
                   if i>j then L(i,j)=-A(i,j);
                   else L(i,j)=0; end;
                   if i<j then U(i,j)=-A(i,j);
                   else U(i,j)=0; end ;
          end ; 
end;

// premire itration
// JACOBI
Xkplus1 = ( inv(D)*(L+U) * Xk + inv(D)* b);

// itrations suivantes
while norm(Xkplus1 - Xk) > tol,
     iter=iter+1;
     Xk = Xkplus1;
     // JACOBI
     Xkplus1 = ( inv(D)*(L+U) * Xk + inv(D)* b);
end;

timeCPU = timer();

// Solution obtenue
//iter
//Xkplus1

printf("Le temps d occupation mmoire est de       %f       \n\n",timeCPU); 
printf("Le nombre d itrations necessaire  la rsolution du systme est de     %d     oprations\n\n", iter);

endfunction
