// Rsolution de systme du type A.X=B
// par la mthode itrative de relaxation

//function [X,Y] = resolveJacobiRelaxee(A,b,n,q)
function [iter,q,timeCPU] = resolveJacobiRelaxee(A,b,n,q,w)


X = zeros(19,1);
Y = zeros(19,1);

for i=1:n
  X0(i,1)=0;
end

Xk=X0;
iter=0;
max_it=500;
tol = 1D-16;

timeCPU = timer();

// Conditionnement des matrices D, L et U
  for i=1:n,
           for j=1:n,
                     I(i,i)=1;
                     D(i,i)=A(i,i);
                     if i>j then, L(i,j)=-A(i,j);,
                     else L(i,j)=0;, end,
                     if i<j then, U(i,j)=-A(i,j);,
                     else U(i,j)=0;, end ;
end ; end;

// THEOREME
// Pour toute matrice A, une condition necessaire
// de convergence
// est que 0 < w < 2.
// premire itration

// RELAXATION


//for q = 0.1:0.1:2
   
   iter = 0;
   //X(q,1) = w;
    
    Xkplus1 = ( inv(D-w*L) * ((1-w) * D + w*U) * Xk + inv(D-w*L)* w*b); 

// itrations suivantes
   while norm(Xkplus1 - Xk) > tol & iter <8000,
   iter=iter+1;
   //Y(q,1) = iter;
   Xk = Xkplus1;
   

// RELAXATION
   Xkplus1 = ( inv(D-w*L) * ((1-w) * D + w*U) * Xk + inv(D-w*L)* w*b);
    
   end;
   
timeCPU = timer();  
  
  //w = w + 0.1;   
//end
  
  




// Solution obtenue
   iter
   Xkplus1
  

  //plot(X, Y,'colo','red');


endfunction
