// resolution du systeme trinagulaire infrieure Ly=b

function [y] = resolveLyb(L,b,nb_op,n,timeCPU)

getf("initialiseVecteurb.sci");
b = initialiseVecteurb(n);

y = zeros(n,1);

t=timer()

y(1,1) = b(1,1)/L(1,1);                  

for i=2:n                                
  y(i,1) = (b(i,1)-L(i,:)*y)/L(i,i);
  nb_op = nb_op + 3;
end

t=timer()

timeCPU = timeCPU + t;


nb_op = nb_op + 1;

printf("Le temps d occupation mmoire est de       %f       \n\n",timeCPU); 
printf("Le nombre d oprations  ce stade est de     %d     oprations\n\n", nb_op);

endfunction


