// programme principal


//chargement des fichiers
getf("initialiserMatriceA.sci");
getf("decomposerLU.sci");
getf("initialiseVecteurb.sci");
getf("resolveLyb.sci");
getf("resolveUxy.sci");
getf("calculNorme.sci");
getf("resolveJacobi.sci");
getf("resolveJacobiRelaxee.sci");
getf("afficherGraphique.sci");
getf("afficherTableauValeurs.sci");

n = 5;                                                  //choix de la dimension de la matrice A.

printf("\n");
printf("\n");
printf("#############################  INITIALISATION DE LA MATRICE A  %d DIMENSIONS ###################################",n);

[A] = initialiserMatriceA(n)                            //initialisation de la matrice A      (2 en diagonale etc...)

printf("\n");
printf("\n");
printf("###################################  DECOMPOSITION DE LA MATRICE A = L*U ########################################\n\n");

[L,U] = decomposerLU(A)                   //decomposition A=LU

printf("\n");
printf("\n");
printf("########################################  INITIALISATION DU VECTEUR b ###########################################\n\n");

b = initialiseVecteurb(n)                              //initialisation du vecteur b pour resoudre Ly=b    b=(10....01)

printf("\n");
printf("\n");
printf("########################################  RESOLUTION DU SYSTEME : L*y = b ########################################\n\n");

[y] = resolveLyb(L,b,nb_op,n,timeCPU)           //resolution du systeme Ly=b. retourne y et le nombre d'operations

printf("\n");
printf("\n");
printf("########################################  RESOLUTION DU SYSTEME : U*x = y ########################################\n\n");

[x] = resolveUxy(U,y,nb_op,n,timeCPU)           //resolution du systeme Ux=y. retourne x et le nombre d'operations au total

printf("\n");
printf("\n");
printf("#########################################  CALCUL DE LA NORME DE ||Ax-b|| ########################################\n\n");

N = calculNorme(A,x,b)                                 //Calcul de la norme de Ax-b

printf("\n");
printf("\n");
printf("####################################  RESOLUTION PAR LA METHODE DE JACOBI ########################################\n\n");

[Xkplus1] = resolveJacobi(A,b,n)                 //resolution de Ax=b avec la methode de Jacobi

printf("\n");
printf("\n");
printf("################################  RESOLUTION PAR LA METHODE DE JACOBI RELAXEE ####################################\n\n");

printf("\n")
printf("On applique la mthode de Jacobi relaxe avec diffrentes valeurs our le coefficients de relaxation    w\n\n") 


afficherTableauValeurs()

printf("\n");
printf("\n");
printf("################################    AFFICHAGE DES RESULTATS SOUS FORME DE GRAPHIQUE ###############################\n\n");


